---
title: "floor"
excerpt: "Compute the largest integer less than or equal to a number."
layout: manual
---

Compute the largest integer less than or equal to a number.



```js
floor(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> lineTo([12, 10], %)
  |> line([floor(7.02986), 0], %)
  |> yLineTo(0, %)
  |> close(%)

const extrude001 = extrude(5, sketch001)
```

![Rendered example of floor 0](data:image/png;base64,[encoded data, 77784 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



